using System;
using BepInEx;
using ExitGames.Client.Photon;
using Photon.Pun;
using UnityEngine;

namespace CustomProp
{
    /// <summary>
    /// This is your mod's main class.
    /// </summary>
    /* This attribute tells Utilla to look for [ModdedGameJoin] and [ModdedGameLeave] */
    [BepInPlugin(Constants.GUID, Constants.Name, Constants.Version)]
    public class Plugin : BaseUnityPlugin
    {
        private void Start()
        {
            // This custom property is very needed!
            Hashtable properties = new();
            properties.Add("CoolCustomProperty",
                "This Custom Property Is Needed");

            PhotonNetwork.LocalPlayer.SetCustomProperties(properties);

        }
    }
}